### org.jfree.layouting.renderer.model.table.rows

# Class TableRow

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.table.rows.TableRow`

`public class TableRow`
`extends java.lang.Object`

Creation-Date: 22.07.2006, 13:20:47

Author:
  Thomas Morgner

  ## Constructor Summary

  `TableRow()`

  `TableRow(Border border)`

  ## Method Summary

  `void`

  `clear()`

  `void`

  `clearSizes()`

  `int`

  `getMaxValidatedRowSpan()`

  `int`

  `getMaximumRowSpan()`

  `long`

  `getPreferredSize()`

  `long`

  `getPreferredSize(int colspan)`

  `long`

  `getValidateSize()`

  `long`

  `getValidatedLeadingSize()`

  `long`

  `getValidatedTrailingSize(int rowSpan)`

  `void`

  `setPreferredSize(long preferredSize)`

  `void`

  `setValidateSize(long validateSize)`

  `void`

  `setValidatedTralingSize(int rowSpan, long validatedSize)`

  `void`

  `updateDefinedSize(int rowSpan, long preferredWidth)`

  `void`

  `updateValidatedSize(int rowSpan, long leading, long trailing)`

## Constructor Details

### TableRow

    public TableRow()

### TableRow

    public TableRow(Border border)

## Method Details

### clear

    public void clear()

### clearSizes

    public void clearSizes()

### getMaxValidatedRowSpan

    public int getMaxValidatedRowSpan()

### getMaximumRowSpan

    public int getMaximumRowSpan()

### getPreferredSize

    public long getPreferredSize()

### getPreferredSize

    public long getPreferredSize(int colspan)

### getValidateSize

    public long getValidateSize()

### getValidatedLeadingSize

    public long getValidatedLeadingSize()

### getValidatedTrailingSize

    public long getValidatedTrailingSize(int rowSpan)

### setPreferredSize

    public void setPreferredSize(long preferredSize)

### setValidateSize

    public void setValidateSize(long validateSize)

### setValidatedTralingSize

    public void setValidatedTralingSize(int rowSpan,
                                        long validatedSize)

### updateDefinedSize

    public void updateDefinedSize(int rowSpan,
                                  long preferredWidth)

### updateValidatedSize

    public void updateValidatedSize(int rowSpan,
                                    long leading,
                                    long trailing)